/***************************************************************************
 *   Copyright (c) 2009  Peter Mylemans <peter.mylemans@gmail.com>         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#include "DummyDatabase.h"
#include "models/Movie.h"

DummyDatabase::DummyDatabase()
{
    Movie *movie = new Movie;
    movie->setTitle("X-Men Origins: Wolverine");
    movie->setYear(2009);
    movie->setPlot("Wolverine lives a mutant life, seeks revenge against Victor Creed (who will later become Sabertooth) for the death of his girlfriend, and ultimately ends up going through the mutant Weapon X program.");
    movie->setPoster(QPixmap("../../testdata/wolverine.jpg"));
    QSet<Movie::Genre> genres;
    genres.insert(Movie::Action);
    genres.insert(Movie::Fantasy);
    genres.insert(Movie::Sci_Fi);
    genres.insert(Movie::Thriller);
    movie->setGenres(genres);
    movie->setRuntime(107);
    movie->setRating(68);

    Movie::ActorRole role;
    role.actor = "Hugh Jackman";
    role.role = "Logan / Wolverine";
    movie->addActor(role);
    role.actor = "Liev Schreiber";
    role.role = "Victor Creed";
    movie->addActor(role);

    m_database.append(movie);
    //localCollection->addMovie(movie);
}
